﻿using System;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.Core.Transforms;

#if NET_CF20
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"cf.blob.y2007.m10, version=0.0.0.0, culture=neutral, publickeytoken=9597d07c5ada83a3")]
#else
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"blob.y2007.m10, version=0.0.0.0, culture=neutral, publickeytoken=9597d07c5ada83a3")]
#endif
#if !URT_MINCLR
[assembly: System.Security.SecurityTransparent]
[assembly: System.Security.AllowPartiallyTrustedCallers]
#endif

namespace Dss.Transforms.TransformBlob
{

    public class Transforms: TransformBase
    {

        public static object Transform_Robotics_Blob_Diagram_Proxy_DiagramState_TO_Robotics_Blob_Diagram_DiagramState(object transformFrom)
        {
            Robotics.Blob.Diagram.DiagramState target = new Robotics.Blob.Diagram.DiagramState();
            return target;
        }


        private static Robotics.Blob.Diagram.Proxy.DiagramState _instance_Robotics_Blob_Diagram_Proxy_DiagramState = new Robotics.Blob.Diagram.Proxy.DiagramState();
        public static object Transform_Robotics_Blob_Diagram_DiagramState_TO_Robotics_Blob_Diagram_Proxy_DiagramState(object ignore)
        {
            return _instance_Robotics_Blob_Diagram_Proxy_DiagramState;
        }


        public static object Transform_Robotics_Blob_Diagram_Proxy_ActionRequest_TO_Robotics_Blob_Diagram_ActionRequest(object transformFrom)
        {
            Robotics.Blob.Diagram.ActionRequest target = new Robotics.Blob.Diagram.ActionRequest();
            return target;
        }


        private static Robotics.Blob.Diagram.Proxy.ActionRequest _instance_Robotics_Blob_Diagram_Proxy_ActionRequest = new Robotics.Blob.Diagram.Proxy.ActionRequest();
        public static object Transform_Robotics_Blob_Diagram_ActionRequest_TO_Robotics_Blob_Diagram_Proxy_ActionRequest(object ignore)
        {
            return _instance_Robotics_Blob_Diagram_Proxy_ActionRequest;
        }


        public static object Transform_Robotics_Blob_Diagram_Proxy_ActionResponse_TO_Robotics_Blob_Diagram_ActionResponse(object transformFrom)
        {
            Robotics.Blob.Diagram.ActionResponse target = new Robotics.Blob.Diagram.ActionResponse();
            return target;
        }


        private static Robotics.Blob.Diagram.Proxy.ActionResponse _instance_Robotics_Blob_Diagram_Proxy_ActionResponse = new Robotics.Blob.Diagram.Proxy.ActionResponse();
        public static object Transform_Robotics_Blob_Diagram_ActionResponse_TO_Robotics_Blob_Diagram_Proxy_ActionResponse(object ignore)
        {
            return _instance_Robotics_Blob_Diagram_Proxy_ActionResponse;
        }


        public static object Transform_Robotics_Blob_Processor_Proxy_ProcessorState_TO_Robotics_Blob_Processor_ProcessorState(object transformFrom)
        {
            Robotics.Blob.Processor.ProcessorState target = new Robotics.Blob.Processor.ProcessorState();
            return target;
        }


        private static Robotics.Blob.Processor.Proxy.ProcessorState _instance_Robotics_Blob_Processor_Proxy_ProcessorState = new Robotics.Blob.Processor.Proxy.ProcessorState();
        public static object Transform_Robotics_Blob_Processor_ProcessorState_TO_Robotics_Blob_Processor_Proxy_ProcessorState(object ignore)
        {
            return _instance_Robotics_Blob_Processor_Proxy_ProcessorState;
        }


        public static object Transform_Robotics_Blob_Processor_Proxy_processRequest_TO_Robotics_Blob_Processor_processRequest(object transformFrom)
        {
            Robotics.Blob.Processor.processRequest target = new Robotics.Blob.Processor.processRequest();
            Robotics.Blob.Processor.Proxy.processRequest from = transformFrom as Robotics.Blob.Processor.Proxy.processRequest;

            // copy IEnumerable Blobs
            if (from.Blobs != null)
            {
                target.Blobs = new System.Collections.Generic.List<System.Int32>();
                foreach(System.Int32 elem in from.Blobs)
                {
                    target.Blobs.Add(elem);
                }
            }
            return target;
        }


        public static object Transform_Robotics_Blob_Processor_processRequest_TO_Robotics_Blob_Processor_Proxy_processRequest(object transformFrom)
        {
            Robotics.Blob.Processor.Proxy.processRequest target = new Robotics.Blob.Processor.Proxy.processRequest();
            Robotics.Blob.Processor.processRequest from = transformFrom as Robotics.Blob.Processor.processRequest;

            // copy IEnumerable Blobs
            if (from.Blobs != null)
            {
                target.Blobs = new System.Collections.Generic.List<System.Int32>();
                foreach(System.Int32 elem in from.Blobs)
                {
                    target.Blobs.Add(elem);
                }
            }
            return target;
        }


        public static object Transform_Robotics_Blob_Processor_Proxy_processResponse_TO_Robotics_Blob_Processor_processResponse(object transformFrom)
        {
            Robotics.Blob.Processor.processResponse target = new Robotics.Blob.Processor.processResponse();
            Robotics.Blob.Processor.Proxy.processResponse from = transformFrom as Robotics.Blob.Processor.Proxy.processResponse;
            target.LeftSpeed = from.LeftSpeed;
            target.RightSpeed = from.RightSpeed;
            return target;
        }


        public static object Transform_Robotics_Blob_Processor_processResponse_TO_Robotics_Blob_Processor_Proxy_processResponse(object transformFrom)
        {
            Robotics.Blob.Processor.Proxy.processResponse target = new Robotics.Blob.Processor.Proxy.processResponse();
            Robotics.Blob.Processor.processResponse from = transformFrom as Robotics.Blob.Processor.processResponse;
            target.LeftSpeed = from.LeftSpeed;
            target.RightSpeed = from.RightSpeed;
            return target;
        }

        static Transforms()
        {
            Register();
        }
        public static void Register()
        {
            AddProxyTransform(typeof(Robotics.Blob.Diagram.Proxy.DiagramState), Transform_Robotics_Blob_Diagram_Proxy_DiagramState_TO_Robotics_Blob_Diagram_DiagramState);
            AddSourceTransform(typeof(Robotics.Blob.Diagram.DiagramState), Transform_Robotics_Blob_Diagram_DiagramState_TO_Robotics_Blob_Diagram_Proxy_DiagramState);
            AddProxyTransform(typeof(Robotics.Blob.Diagram.Proxy.ActionRequest), Transform_Robotics_Blob_Diagram_Proxy_ActionRequest_TO_Robotics_Blob_Diagram_ActionRequest);
            AddSourceTransform(typeof(Robotics.Blob.Diagram.ActionRequest), Transform_Robotics_Blob_Diagram_ActionRequest_TO_Robotics_Blob_Diagram_Proxy_ActionRequest);
            AddProxyTransform(typeof(Robotics.Blob.Diagram.Proxy.ActionResponse), Transform_Robotics_Blob_Diagram_Proxy_ActionResponse_TO_Robotics_Blob_Diagram_ActionResponse);
            AddSourceTransform(typeof(Robotics.Blob.Diagram.ActionResponse), Transform_Robotics_Blob_Diagram_ActionResponse_TO_Robotics_Blob_Diagram_Proxy_ActionResponse);
            AddProxyTransform(typeof(Robotics.Blob.Processor.Proxy.ProcessorState), Transform_Robotics_Blob_Processor_Proxy_ProcessorState_TO_Robotics_Blob_Processor_ProcessorState);
            AddSourceTransform(typeof(Robotics.Blob.Processor.ProcessorState), Transform_Robotics_Blob_Processor_ProcessorState_TO_Robotics_Blob_Processor_Proxy_ProcessorState);
            AddProxyTransform(typeof(Robotics.Blob.Processor.Proxy.processRequest), Transform_Robotics_Blob_Processor_Proxy_processRequest_TO_Robotics_Blob_Processor_processRequest);
            AddSourceTransform(typeof(Robotics.Blob.Processor.processRequest), Transform_Robotics_Blob_Processor_processRequest_TO_Robotics_Blob_Processor_Proxy_processRequest);
            AddProxyTransform(typeof(Robotics.Blob.Processor.Proxy.processResponse), Transform_Robotics_Blob_Processor_Proxy_processResponse_TO_Robotics_Blob_Processor_processResponse);
            AddSourceTransform(typeof(Robotics.Blob.Processor.processResponse), Transform_Robotics_Blob_Processor_processResponse_TO_Robotics_Blob_Processor_Proxy_processResponse);
        }
    }
}

